import java.util.ArrayList;
public class Node
{
    private int number;
    private ArrayList<Edge> edges;
    public Node(int n){
        this.number = n;
        this.edges = new ArrayList<Edge>(); 
    }
    
    public int getNumber (){return this.number;}
    
    public void addEdge(Edge e){
        this.edges.add(e);
    }
    
    public ArrayList<Node> getTargets(){
        ArrayList<Node> t= new ArrayList<Node>();
        for (Edge e : this.edges){
            if(e.getAnfang()== this){
                t.add(e.getEnde());
            }
            else if (!e.istGerichtet()){
                t.add(e.getAnfang());
            }
        }
        return t;
    }
}
